## org.apache.bcel.generic
Class StoreInstruction

    java.lang.Object
      |
      +--org.apache.bcel.generic.Instruction
            |
            +--org.apache.bcel.generic.LocalVariableInstruction
                  |
                  +--org.apache.bcel.generic.StoreInstruction

All Implemented Interfaces:
  java.lang.Cloneable, IndexedInstruction, PopInstruction, java.io.Serializable, StackConsumer, TypedInstruction

Direct Known Subclasses:
  ASTORE, DSTORE, FSTORE, ISTORE, LSTORE

public abstract class StoreInstruction
extends LocalVariableInstruction
implements PopInstruction

Denotes an unparameterized instruction to store a value into a local variable, e.g. ISTORE.

Version:
  $Id: StoreInstruction.java,v 1.2 2002/05/13 08:37:13 mdahm Exp $
Author:
  M. Dahm
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.bcel.generic.LocalVariableInstruction
`n`

Fields inherited from class org.apache.bcel.generic.Instruction
`length, opcode`

Constructor Summary
`protected` `StoreInstruction(short opcode, short c_tag, int n)`

Method Summary
`void` `accept(Visitor v)` Call corresponding visitor method(s).

Methods inherited from class org.apache.bcel.generic.LocalVariableInstruction
`dump, getCanonicalTag, getIndex, getType, initFromFile, setIndex, toString`

Methods inherited from class org.apache.bcel.generic.Instruction
`consumeStack, copy, equals, getComparator, getLength, getName, getOpcode, produceStack, readInstruction, setComparator, toString, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.bcel.generic.StackConsumer
`consumeStack`

Constructor Detail

### StoreInstruction

    protected StoreInstruction(short opcode,
                               short c_tag,
                               int n)

Parameters:
  `opcode` - Instruction opcode
  `c_tag` - Instruction number for compact version, ASTORE_0, e.g.
  `n` - local variable index (unsigned short)

Method Detail

### accept

    public void accept(Visitor v)

  Call corresponding visitor method(s). The order is: Call visitor methods of implemented interfaces first, then call methods according to the class hierarchy in descending order, i.e., the most specific visitXXX() call comes last.

  Specified by:
    `accept` in class `Instruction`
  Parameters:
    `v` - Visitor object

Copyright © 2002-2003 Apache Software Foundation. All Rights Reserved.